# Lab 5 - Software Peformance 2023

This is Lab 5 of the **Software Performance** course at USI.

Go to [this Lab on iCorsi](https://www.icorsi.ch/course/view.php?id=16963).

## Submission Info

| Property   | Value    |
|------------|----------|
| First Name | Claudio  |
| Last Name  | Maggioni |

## Submission Checklist

Please complete this checklist (turn [ ] into [X]) before you submit:

- [x] I completed the above Submission Info
- [x] I built the project in IntelliJ (Build > Build Project)
- [x] I implemented the ClassHierarchyBuilder
- [x] I implemented the CallGraphBuilder
- [x] I implemented the CallGraphRenderer
- [x] I wrote the source code myself and did not look at the source code of my classmates
- [x] I manually checked that my implementation is correct by doing this:
    - [x] I studied the source code within test-input/pacman-src.jar
    - [x] I ran App to produce the dot file (in test-output/)
    - [x] I ran dot to turn the dot file in test-output into a PDF
    - [x] I manually verified that the PDF contains the correct call graph
- [x] I committed my changes (at least one commit, but possibly many)
- [x] I pushed my commits to GitHub
